/////////////////////////////////////////////////////////////////////////////
//                                                            (c) 1998/9 SNS
//  WinAppControl
//                  Supporting code for TreeShare/PilotShare
//
//      Authors: George A. Smith & John R. Coleman
//      Why:     We felt the need.
//
//  LICENCE CONDITIONS:
//
//      The Authors consent to GNU General Public Licence for this code.
//      Other Licencing arrangements are possible.
//
//  NOTES:
//
//      Please notify us of any problems you find in the code.
//      Please notify us of any changes you make to this code that you
//              subsequently redistribute.
//      If you use this program, please tell us...
//
//      We can be contacted at:     PilotShare@SNS.to
//                          or:     TreeShare@SNS.to
//
//      Info:       http://SNS.to/PilotShare
//
//      If you redistribute, please leave the above in!
//
/////////////////////////////////////////////////////////////////////////////

#ifndef WinAppControlH
#define WinAppControlH
//---------------------------------------------------------------------------

class WinAppControl
{
    private:    // User declarations
        char * appDir;
        char * appDrive;
        char * appExecutable;
        char * appCmdLine;
        int    dosDrive;
        char * errMsg;
        PROCESS_INFORMATION proc_info;
        STARTUPINFO si;
        bool   AppLaunched;

        void setErr( char * msg );
        void setErr( char * msg1, char * msg2 );

    public:     // User declarations
        WinAppControl( char * appPath, char * cmdLine );
        ~WinAppControl(void);
        char * getErr( void );
        bool changeToAppDir( void );
        bool launch_normal( void );
        bool isRunning( void );
};

//---------------------------------------------------------------------------
#endif
