/////////////////////////////////////////////////////////////////////////////
//                                                            (c) 1998/9 SNS
//  cStartLock
//                  Supporting code for TreeShare/PilotShare
//
//      Authors: George A. Smith & John R. Coleman
//      Why:     We felt the need.
//
//  LICENCE CONDITIONS:
//
//      The Authors consent to GNU General Public Licence for this code.
//      Other Licencing arrangements are possible.
//
//  NOTES:
//
//      Please notify us of any problems you find in the code.
//      Please notify us of any changes you make to this code that you
//              subsequently redistribute.
//      If you use this program, please tell us...
//
//      We can be contacted at:     PilotShare@SNS.to
//                          or:     TreeShare@SNS.to
//
//      Info:       http://SNS.to/PilotShare
//
//      If you redistribute, please leave the above in!
//
/////////////////////////////////////////////////////////////////////////////

#include "IncCmn.h"
//---------------------------------------------------------------------------
#include "cStartLock.h"
//---------------------------------------------------------------------------

#pragma package(smart_init)
#pragma resource "*.dfm"
TStartLock *StartLock;

//---------------------------------------------------------------------------

__fastcall TStartLock::TStartLock(TLogo * Owner) : TForm(Owner)
{
    ourOwner = Owner;
}

//---------------------------------------------------------------------------

void __fastcall TStartLock::setFields( char * lockName, char * since )
{
    tb_Name->SetTextBuf( NULL==lockName?"":lockName );
    tb_Since->SetTextBuf( NULL==since?"":since );
}

void __fastcall TStartLock::bt_CancelClick(TObject *Sender)
{
    ourOwner->setCancel();
    Close();
}

//---------------------------------------------------------------------------

void __fastcall TStartLock::bt_DeleteClick(TObject *Sender)
{
    ourOwner->setDeleteLock();
    Close();
}

//---------------------------------------------------------------------------

void __fastcall TStartLock::bt_ProceedClick(TObject *Sender)
{
    ourOwner->setReadOnly();
    Close();
}

//---------------------------------------------------------------------------
