/////////////////////////////////////////////////////////////////////////////
//                                                            (c) 1998/9 SNS
//  WinTools
//                  Supporting code for TreeShare/PilotShare
//
//      Authors: George A. Smith & John R. Coleman
//      Why:     We felt the need.
//
//  LICENCE CONDITIONS:
//
//      The Authors consent to GNU General Public Licence for this code.
//      Other Licencing arrangements are possible.
//
//  NOTES:
//
//      Please notify us of any problems you find in the code.
//      Please notify us of any changes you make to this code that you
//              subsequently redistribute.
//      If you use this program, please tell us...
//
//      We can be contacted at:     PilotShare@SNS.to
//                          or:     TreeShare@SNS.to
//
//      Info:       http://SNS.to/PilotShare
//
//      If you redistribute, please leave the above in!
//
/////////////////////////////////////////////////////////////////////////////

#ifndef WinToolsH
#define WinToolsH
//---------------------------------------------------------------------------
char * newSpace( char * data, char * data2, char *data3, char * data4 );
char * newSpace( char * data, char * data2, char *data3 );
char * newSpace( char * data, char * data2);
char * newSpace( char * data );

char * dynFree( char * ptr );

char * dynSpace( char * old, char * data, char * data2, char *data3, char *data4 );
char * dynSpace( char * old, char * data, char * data2, char * data3);
char * dynSpace( char * old, char * data, char * data2);
char * dynSpace( char * old, char * data );

bool errorDialog( HWND hWnd, char * title, char * message );

BOOL AppLaunch( char *app, char * cmd_line );

BOOL validateFile( char * fileName );
BOOL validateCommand( char * exeCmd );
BOOL validateFolder( char * folder );

bool folderCopyWithOldSave( char * src, char * dest );
bool renTree(char * src, char * dst);
bool copyTree(char * src, char * dst);
bool delTree(char * src);

bool deleteFile( char * filename );

char * browseForFolder( char * deflt, char * title, HWND parent );

char * getBaseName( char *full);
char * getPathAndBaseName( char *full );
char * getPath( char *full );

struct ffblk * findFile( char * fp );

#endif
