/////////////////////////////////////////////////////////////////////////////
//                                                            (c) 1998/9 SNS
//  cRegInfo
//                  Supporting code for TreeShare/PilotShare
//
//      Authors: George A. Smith & John R. Coleman
//      Why:     We felt the need.
//
//  LICENCE CONDITIONS:
//
//      The Authors consent to GNU General Public Licence for this code.
//      Other Licencing arrangements are possible.
//
//  NOTES:
//
//      Please notify us of any problems you find in the code.
//      Please notify us of any changes you make to this code that you
//              subsequently redistribute.
//      If you use this program, please tell us...
//
//      We can be contacted at:     PilotShare@SNS.to
//                          or:     TreeShare@SNS.to
//
//      Info:       http://SNS.to/PilotShare
//
//      If you redistribute, please leave the above in!
//
/////////////////////////////////////////////////////////////////////////////

#ifndef cRegInfoH
#define cRegInfoH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>

//---------------------------------------------------------------------------
class TRegInfo : public TForm
{
    __published:    // IDE-managed Components
        TMemo *m_Text;
        TLabel *lb_HomePage;
        void __fastcall FormClick(TObject *Sender);
        void __fastcall m_TextClick(TObject *Sender);
        void __fastcall m_TextDblClick(TObject *Sender);

        void __fastcall lb_HomePageClick(TObject *Sender);
        void __fastcall FormDestroy(TObject *Sender);
    private:    // User declarations
        char *  urlFileName;
        char *  ourBaseName;
    public:     // User declarations
        __fastcall TRegInfo::TRegInfo(TComponent* Owner, char * baseName);
};
//---------------------------------------------------------------------------
extern PACKAGE TRegInfo *RegInfo;
//---------------------------------------------------------------------------
#endif
