/////////////////////////////////////////////////////////////////////////////
//                                                            (c) 1998/9 SNS
//  cStartLock
//                  Supporting code for TreeShare/PilotShare
//
//      Authors: George A. Smith & John R. Coleman
//      Why:     We felt the need.
//
//  LICENCE CONDITIONS:
//
//      The Authors consent to GNU General Public Licence for this code.
//      Other Licencing arrangements are possible.
//
//  NOTES:
//
//      Please notify us of any problems you find in the code.
//      Please notify us of any changes you make to this code that you
//              subsequently redistribute.
//      If you use this program, please tell us...
//
//      We can be contacted at:     PilotShare@SNS.to
//                          or:     TreeShare@SNS.to
//
//      Info:       http://SNS.to/PilotShare
//
//      If you redistribute, please leave the above in!
//
/////////////////////////////////////////////////////////////////////////////

#ifndef cStartLockH
#define cStartLockH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>

#include "cLogo.h"
//---------------------------------------------------------------------------
class TStartLock : public TForm
{
    __published:    // IDE-managed Components
        TLabel *lb_lockedBy;
        TLabel *Label1;
        TEdit *tb_Name;
        TEdit *tb_Since;
        TButton *bt_Delete;
        TButton *bt_Proceed;
        TButton *bt_Cancel;
        void __fastcall bt_CancelClick(TObject *Sender);
        void __fastcall bt_DeleteClick(TObject *Sender);
        void __fastcall bt_ProceedClick(TObject *Sender);
    private:    // User declarations
        TLogo * ourOwner;
    public:     // User declarations
        __fastcall TStartLock(TLogo * Owner);
        void __fastcall setFields( char * lockName, char * since );
};
//---------------------------------------------------------------------------
extern PACKAGE TStartLock *StartLock;
//---------------------------------------------------------------------------
#endif
